#!/bin/bash

# wrapper script because cron seems to have a problem with "date"...
DATE=`date +%Y%m%d`
DAYOFWEEK=`date +%u`

# enter script-directory
cd "`dirname $0`"

# daily
./osmshot.sh --list "osmshot-daily" &> "log-daily/${DATE}.log"

# weekly (mondays)
if [ $DAYOFWEEK -eq 1 ]; then
    ./osmshot.sh --list "osmshot-weekly" &> "log-weekly/${DATE}.log"
fi
